%define dbus_version            1.2
%define dbus_glib_version       0.82
%define udev_version            145
%define mdadm_version           2.6.7

#define git 20100315
Summary: Storage Management Service
Name: udisks
Version: 1.0.4
Release: 9
License: GPLv2+
Group: System/Libraries
URL: http://www.freedesktop.org/wiki/Software/udisks
Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz

BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires: libtool
BuildRequires: sg3_utils-devel
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(devmapper)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gudev-1.0)
BuildRequires: pkgconfig(libatasmart)
BuildRequires: pkgconfig(libparted)
BuildRequires: pkgconfig(polkit-agent-1)
BuildRequires: pkgconfig(udev)
BuildRequires: pkgconfig(lvm2app)

# needed to pull in the system bus daemon
Requires: dbus >= %{dbus_version}
# needed to pull in the udev daemon
Requires: udev >= %{udev_version}
Suggests: mdadm >= %{mdadm_version}
#gw not yet packaged:
# for smp_rep_manufacturer
#Requires: smp_utils
# for mount, umount, mkswap
Requires: util-linux-ng
# for mkfs.ext3, mkfs.ext3, e2label
Requires: e2fsprogs
# for mkfs.xfs, xfs_admin
Suggests: xfsprogs
# for mkfs.vfat
Suggests: dosfstools
# for mlabel
Requires: mtools
# for mkntfs - no ntfsprogs on ppc, though
%ifnarch ppc ppc64
Suggests: ntfsprogs
%endif

# Obsolete and Provide DeviceKit-disks - udisks provides exactly the same
# ABI just with a different name and versioning-scheme
#
Obsoletes: devicekit-disks <= 009
Provides: devicekit-disks = 010

%description
udisks provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.

%package devel
Summary: D-Bus interface definitions for udisks
Group: Development/C
Requires: %{name} = %{version}-%{release}
# See comment above
#
Obsoletes: devicekit-disks-devel <= 009
Provides: devicekit-disks-devel = 010

%description devel
D-Bus interface definitions and documentation for udisks.

%prep
%setup -q

%build
%configure2_5x --enable-gtk-doc --enable-lvm2

%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.a

# TODO: should be fixed upstream
chmod 0644 %{buildroot}%{_sysconfdir}/profile.d/udisks-bash-completion.sh

%find_lang %{name} %{name}.lang

%files -f %{name}.lang
%doc README AUTHORS NEWS COPYING HACKING doc/TODO
%{_sysconfdir}/avahi/services/udisks.service
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/profile.d/*.sh
/lib/udev/rules.d/*.rules
/lib/udev/udisks-part-id
/lib/udev/udisks-dm-export
/lib/udev/udisks-probe-ata-smart
/lib/udev/udisks-probe-sas-expander
/lib/udev/udisks-lvm-pv-export
/sbin/umount.udisks
%{_bindir}/*
%{_libexecdir}/udisks-daemon
%{_libexecdir}/udisks-helper*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/dbus-1/system-services/*.service
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%attr(0700,root,root) %dir %{_localstatedir}/lib/udisks

%files devel
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/pkgconfig/udisks.pc
%dir %{_datadir}/gtk-doc/html/udisks
%{_datadir}/gtk-doc/html/udisks/*


%changelog
* Mon Jul 09 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1.0.4-9
+ Revision: 808669
- Rebuild for libudev.so.1

* Mon May 21 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.0.4-8
+ Revision: 799812
- rebuild for parted
- some spec clean up

* Sun Feb 19 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.4-7
+ Revision: 777322
- disable systemd support

* Tue Nov 01 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.4-6
+ Revision: 709240
- fix scriplets for good

* Sat Oct 29 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.4-5
+ Revision: 707794
- fix scriplets

* Sun Oct 23 2011 Michael Scherer <misc@mandriva.org> 1.0.4-4
+ Revision: 705703
- fix %%post script

* Wed Oct 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.4-3
+ Revision: 704476
- enable systemd support to start udisksd early

* Wed Oct 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.4-1
+ Revision: 704437
- fix file list

  + Götz Waschk <waschk@mandriva.org>
    - bump lvm dep
    - new version

* Thu Jun 30 2011 Götz Waschk <waschk@mandriva.org> 1.0.3-1
+ Revision: 688318
- new version
- remove polkit extension

* Mon May 30 2011 Funda Wang <fwang@mandriva.org> 1.0.2-3
+ Revision: 681977
- rebuild for new parted

* Fri May 06 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-2
+ Revision: 670738
- mass rebuild

* Thu Dec 23 2010 Götz Waschk <waschk@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 624043
- new version
- bump lvm2 dep

* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2011.0
+ Revision: 608096
- rebuild

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 533664
- update to new version 1.0.1

* Sun Mar 21 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-2mdv2010.1
+ Revision: 526235
- suggest instead of require mdadm

* Tue Mar 16 2010 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-1mdv2010.1
+ Revision: 521758
- Release 1.0.0 final
- Remove devkit-disks symlinks, not needed, we didn't use devkit-disks before

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-0.20100315.1mdv2010.1
+ Revision: 519208
- update build deps
- new snapshot
- drop patch

* Fri Mar 12 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-0.20100215.2mdv2010.1
+ Revision: 518389
- remove debug files

* Mon Mar 01 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-0.20100215.1mdv2010.1
+ Revision: 513196
- import udisks

